Bug 3941 - Combine Notices & Messaging Tabs
Summary: Combine Notices & Messaging Tabs
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-16 06:54 UTC by Nicole C. Engard
Modified: 2012-10-25 23:09 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
notices tab data (193.59 KB, image/png)
2009-12-16 18:54 UTC, Chris Cormack
Details
screenshot (17.78 KB, image/png)
2010-02-08 09:37 UTC, Chris Cormack
Details
Solution for "all notices" problem? (435 bytes, patch)
2010-05-18 16:22 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 3941 - Combine Notices & Messaging Tabs (14.51 KB, patch)
2011-09-22 20:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
[Signed Off] Bug 3941 - Combine Notices & Messaging Tabs (14.57 KB, patch)
2011-09-22 20:41 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 3941: Follow up (1.11 KB, patch)
2011-09-22 21:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:21:16 UTC


---- Reported by nengard@gmail.com 2009-12-16 18:54:43 ----

Created an attachment
notices tab data

On the Patron record there are 2 tabs - one for Messaging (cgi-bin/koha/members/messaging.pl?borrowernumber=1950) that shows the status of all messages sent with the exception of overdue notices.  The Notices (cgi-bin/koha/members/notices.pl?borrowernumber=1950) tab I assume should show a log of the overdue notices - but instead it's showing all messages and the text of the messages - which is way way way overkill.  This report should show only that an overdue notice was sent and maybe link to the items that were mentioned in the report - but not show the entire email that was sent - it makes the page unreadable.



---- Additional Comments From katrin.fischer@bsz-bw.de 2010-02-08 09:37:38 ----

Created an attachment
screenshot

This is still a problem in HEAD (3.01.00.111, patched from 3.01.00.61).

There are 2 tabs in patron account:
- messaging
- notices

Notices shows all messages from ALL patrons in the system. 

I like the option to see the text, but its a bit much for a quick overview. I would suggest an option show the text with an additional click, perhaps expand the table cell to show it. 

Reverted sorting - newest messages at the top - or possibility to sort columns as needed would be a good enhancement too.



---- Additional Comments From barrem01@yahoo.com 2010-05-18 16:22:14 ----

Created an attachment
Solution for "all notices" problem?

This it the first time I've suggested a patch, so I'd like to have someone confirm I've done it properly.

/usr/share/koha/intranet/cgi-bin/members$ diff notices.back.pl notices.pl
52c52
< my $queued_messages = C4::Letters::GetQueuedMessages({$borrowernumber});
---
> my $queued_messages = C4::Letters::GetQueuedMessages({'borrowernumber' => $borrowernumber});




--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:21 UTC  ---

This bug was previously known as _bug_ 3941 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3941
Imported an attachment (id=1696)
Imported an attachment (id=1697)
Imported an attachment (id=1698)

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.
The original submitter of attachment 1696 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1697 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1698 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Katrin Fischer 2010-11-15 07:20:29 UTC
I added a MANUAL_ODUE notice for module circulation, using the same text as for my normal ODUE notice.

Circulation > Overdues gives me a perl error:

Global symbol "@overduedata" requires explicit package name at /home/koha/kohaclone/circ/overdue.pl line 204.
Execution of /home/koha/kohaclone/circ/overdue.pl aborted due to compilation errors.
Comment 2 Chris Cormack 2010-11-15 16:26:39 UTC
hmmm, I think you might have reported that error the wrong bug Katrin, I havent pushed anything to do with 3941
Comment 3 Katrin Fischer 2010-11-15 16:32:32 UTC
You are right - I confused my open tabs in Firefox. The error message belongs to bug 4990.
Comment 4 Nicole C. Engard 2011-01-13 00:56:16 UTC
Changing the bug title because I think we're talking about combining these tabs in some way to make it clearer.  Anyone have any other ideas?
Comment 5 Owen Leonard 2011-01-13 14:50:21 UTC
The only difference between them seems to be that members/notices.pl shows the content and members/messaging.pl does not. Am I missing anything? Should members/messaging.pl be dropped, and the output of members/notices.pl be made more readable?
Comment 6 Katrin Fischer 2011-01-13 14:59:21 UTC
I think combining both into one tab is a good idea.

A way to show the notice formatted would be nice - at the moment it's hard to figure out which items where listed in overdues etc
Comment 7 Nicole C. Engard 2011-01-13 23:21:17 UTC
Yes, I'm for combining tabs into one and showing the message in a more friendly fashion. I should also note that it seems that messages sent to the librarians are showing in these logs - like if the librarian gets a message when a hold is placed that message goes into the patron's log ... that might be fine, but I wanted to mention it in case others think it doesn't belong there.
Comment 8 Magnus Enger 2011-07-18 13:08:30 UTC
If this gets implemented it will make Bug 6593 obsolete.
Comment 9 Katrin Fischer 2011-09-22 20:34:21 UTC Comment hidden (obsolete)
Comment 10 Katrin Fischer 2011-09-22 20:35:25 UTC
Thx to Owen Leonard and Chris Cormack for hints and help with making it work! :)
Comment 11 Liz Rea 2011-09-22 20:41:42 UTC
Created attachment 5552 [details] [review]
[Signed Off] Bug 3941 - Combine Notices & Messaging Tabs

Changes to notices tab to make it a full replacement for messages tab.
Removes messages tab from patron account.

- repairs view of patron address in left column (category description, branch)
- shows some explanation, when there are no messages for a borrower
- makes the notice an expandable field, a click on the subject will
  expand the field to show the message content
- makes message status and message transport type translatable,
  by moving the possible values into the template
- removes the messaging tab from various menus
- removes the files that were associated with the messaging tab
- preserves the line breaks in message content to improve readability

Also fixes Bug 6593 - Some information missing from the "Notices" tab.

Signed-off-by: Liz Rea <lrea@nekls.org>
Comment 12 Ian Walls 2011-09-22 21:02:37 UTC
Primarily a template change, with the removal of a now unnecessary script, and a minor modification to the params passed to the other script.

One EXTREMELY tiny thing:  once you click a notice title to expand it, clicking it a second time does not collapse it; you have to click a second notice title (if one exists) to collapse it and expand the other.  So one notice will remain expanded forever after expanding the first (until you navigate away).  This is not sufficient to block QA, however; it could be a follow up, or a separate enhancement.

Marking as Passed QA
Comment 13 Katrin Fischer 2011-09-22 21:36:37 UTC
Created attachment 5554 [details] [review]
Bug 3941: Follow up

Improving the notices field to make it possible
- to expand more than one field at a time
- hide the notice content with another click
Comment 14 Ian Walls 2011-09-22 21:39:37 UTC
Follow up patch has my signoff and passed QA mark.  Thanks, Katrin!
Comment 15 Chris Cormack 2011-09-22 22:44:18 UTC
Pushed, please test